## -*- coding: utf-8 -*-
#
#import datetime
#from django import template
#from django.conf import settings
#from django.db.models import Q
#
#from django.utils.importlib import import_module
#models = import_module('jmb.news.models')
#
#register = template.Library()
#
#@register.inclusion_tag('news/tags/latest_news_list.html', takes_context=True)
#def list_latest_news(context, num_news=None, category=None, sort='DESC', last_months=None):
#    kwargs = {}
#    if category:
#        kwargs.update({'categories__name__in': [category]})
#    news = models.News.active.filter(**kwargs)
#
#    q1 = Q(pub_date_begin__lte=datetime.datetime.now(), pub_date_end__gte=datetime.datetime.now())
#    q2 = Q(event_date__lte=datetime.datetime.now())
#    # simone cittadini, listo le news solo degli ultimi n mesi
#    # (incluso il corrente), fa override di num_news
#    if last_months:
#        today = datetime.date(datetime.date.today().year,
#                                  datetime.date.today().month,
#                                  1)
#        from_date = today - datetime.timedelta(weeks=4 * int(last_months))
#        q3 = Q(event_date__gte=from_date)
#
#    order_by = 'event_date'
#    if sort=='DESC':
#        order_by = '-event_date'
#
#    if last_months:
#        context['latest_news'] = news.filter(
#            q1 | q2
#        ).filter( q3 ).order_by(order_by)
#    else:
#        context['latest_news'] = news.filter(
#            q1 | q2
#        ).order_by(order_by)
#
#    if num_news:
#        context['latest_news'] = context['latest_news'][:num_news]
#
#    context['category'] = category
#
#    return context
#
#
#@register.inclusion_tag('news/tags/year_archive.html', takes_context=True)
#def list_year_archive(context, category=None, year=None, sort='DESC'):
#    kwargs = {}
##    year = datetime.date.today().year
#    if year:
#        kwargs.update({'event_date__year': year })
#    if category:
#        kwargs.update({'categories__name__in': [category]})
#
#    # filter by pubblication date
#    context['month_list'] = models.News.active.filter(**kwargs).dates('event_date', 'month', order=sort)[:12]
#    context['category'] = category
#
#    return context
#
#
#
#class LatestNewsNode(template.Node):
#    def __init__(self, num_news, categoria, force_in_home):
#        self.num_news = num_news
#        self.categoria = categoria
#        self.force_in_home = force_in_home
#
#    def render(self, context):
#        q1 = Q(pub_date_begin__lte=datetime.datetime.now(), pub_date_end__gte=datetime.datetime.now())
#        q2 = Q(event_date__lte=datetime.datetime.now())
#        kwargs = {}
#        if self.categoria:
#            kwargs.update({'categories__name__in': [str(self.categoria).strip("'")]})
#
#
#
#        # Se il flag force_in_home=True, ordino primo per force_in_home, poi per data
#        # e non mi interessa se la news non è attiva
#        if self.force_in_home:
#            qs = models.News.objects.filter(**kwargs).filter( q1 | q2 )
#            qs = qs.order_by('-force_in_homepage', '-event_date')[:self.num_news]
#        else:
#            qs = models.News.active.filter(**kwargs).filter( q1 | q2 )
#            qs = qs.order_by('-event_date')[:self.num_news]
#
#        context['latest_news'] = qs
#        return ''
#
#@register.tag
#def get_latest_news(parser, token, force_in_home=False):
#    """
#        Possibili usi:
#        {% get_latest_news %} --> Torna le ultime 15 news di tutte le categorie
#        {% get_latest_news 5 %} --> Torna le ultime 5 news di tutte le categorie
#        {% get_latest_news 5 'EVENTI' %} --> Torna le ultime 5 news della categoria EVENTI
#    """
#    try:
#        contents = token.split_contents()
#        num_news = 15
#        categoria = None
#        if len(contents) >= 2:
#            num_news = int(contents[1])
#            if len(contents) == 3:
#                categoria = contents[2]
#    except Exception, e:
#        raise template.TemplateSyntaxError, "%r tag requires max only two arguments: num_news as integer and category as string" % token.contents.split()[0]
#    return LatestNewsNode(num_news, categoria, force_in_home=force_in_home)
#
#@register.tag
#def get_latest_news_home(parser, token):
#    return get_latest_news(parser, token, force_in_home=True)
#
#class MonthListNode(template.Node):
#    def __init__(self, year):
#        self.year = year
#
#    def render(self, context):
#        queryset = models.News.active.filter(event_date__year=self.year)
#        context['month_news_list'] = queryset.dates('event_date', 'month')
#        return ''
#
#@register.tag
#def get_month_news_list(parser, token):
#    try:
#        contents = token.split_contents()
#        year = datetime.date.today().year
#        if len(contents) == 2:
#            year = int(contents[1])
#    except Exception, e:
#        raise template.TemplateSyntaxError, "%r tag requires only one argument year as integer" % token.contents.split()[0]
#    return MonthListNode(year)
#
#
#class LastNewsNode(template.Node):
#    def __init__(self, category):
#        self.category = category
#
#    def render(self, context):
#        qs = models.News.active.all()
#        if self.category:
#            qs = qs.filter(categories__name__contains=self.category)
#
#        news = None
#        #q1 = Q(pub_date_begin__lte=datetime.datetime.now(), pub_date_end__gte=datetime.datetime.now())
#        #q3 = Q(event_date__lt=datetime.datetime.now())
#
#        # Cerco la prima news di oggi o futura
#        news = qs.filter(event_date__gte=datetime.datetime.now())
#        if news:
#            news = news.order_by('event_date')[0]
#        else:
#            # Se non ci sono news future cerco la prima news passata
#            news = qs.filter(event_date__lt=datetime.datetime.now())
#            if news:
#                news = news.order_by('-event_date')[0]
#
#        context['last_news'] = news
#        return ''
#
#@register.tag
#def get_last_news(parser, token):
#    try:
#        contents = token.split_contents()
#        category = None
#        if len(contents) == 2:
#            category = contents[1][1:-1]
#    except:
#        raise template.TemplateSyntaxError, "%r tag requires only one argument named category" % token.contents.split()[0]
#    return LastNewsNode(category)
#
#
#class NextNewsNode(template.Node):
#    def __init__(self, news_corrente, category):
#        self.news_corrente = template.Variable(news_corrente)
#        self.category = category
#
#    def render(self, context):
#        try:
#            n = self.news_corrente.resolve(context)
#            context['next_news'] = None
#            if self.category:
#                q_category = Q(categories__name__exact=self.category)
#            else:
#                q_category = Q()
#            qs = models.News.active.filter(
#                                        event_date__gte=n.event_date
#                                    ).filter(q_category).exclude(
#                                        pk__exact=n.pk).order_by('event_date', 'pk')
#            if qs.count() > 0:
#                # evitiamo un loop se ci sono due notizie con la stessa data
#                # ( se la notizia ha la stessa data ma è stata inserita prima
#                # torno quella con la data successiva )
#                if  qs[0].pk < n.pk:
#                    qs = models.News.active.filter(
#                                        event_date__gt=n.event_date
#                                    ).filter(q_category).order_by('event_date', 'pk')
#                    if qs.count() == 0:
#                        return ''
#                context['next_news'] = qs[0]
#            else:
#                pass
#        except:
#            pass
#        return ''
#
#@register.tag
#def get_next_by_date(parser, token):
#    try:
#        contents = token.split_contents()
#        category = None
#        if len(contents) == 3:
#            category = contents[2][1:-1]
#        news_corrente = contents[1]
#    except:
#        raise template.TemplateSyntaxError, \
#            "%r tag requires current news as argument" \
#            % token.contents.split()[0]
#    return NextNewsNode(news_corrente, category)
#
#class PreviousNewsNode(template.Node):
#    def __init__(self, news_corrente, category):
#        self.news_corrente = template.Variable(news_corrente)
#        self.category = category
#
#    def render(self, context):
#        try:
#            n = self.news_corrente.resolve(context)
#            context['previous_news'] = None
#            if self.category:
#                q_category = Q(categories__name__exact=self.category)
#            else:
#                q_category = Q()
#            qs = models.News.active.filter(
#                                        event_date__lte=n.event_date
#                                    ).filter(q_category).exclude(
#                                        pk__exact=n.pk).order_by('-event_date', 'pk')
#            if qs.count() > 0:
#                # evitiamo un loop se ci sono due notizie con la stessa data
#                # ( se la notizia ha la stessa data ma è stata inserita dopo torno
#                # quella con la data precedente )
#                if qs[0].pk > n.pk:
#                    qs = models.News.active.filter(
#                                        event_date__lt=n.event_date
#                                    ).filter(q_category).order_by('-event_date', 'pk')
#                    if qs.count() == 0:
#                        return ''
#                context['previous_news'] = qs[0]
#            else:
#                pass
#        except:
#            pass
#        return ''
#
##{% get_previous_by_date news 'news' %}
#@register.tag
#def get_previous_by_date(parser, token):
#    try:
#        contents = token.split_contents()
#        category = None
#        if len(contents) == 3:
#            category = contents[2][1:-1]
#        news_corrente = contents[1]
#    except:
#        raise template.TemplateSyntaxError, \
#            "%r tag requires current news as argument" \
#            % token.contents.split()[0]
#    return PreviousNewsNode(news_corrente, category)
#
#class NextMonthNode(template.Node):
#    def __init__(self, anno_visualizzato, mese_visualizzato, category):
#        self.anno_visualizzato = template.Variable(anno_visualizzato)
#        self.mese_visualizzato = template.Variable(mese_visualizzato)
#        self.category = category
#
#    def render(self, context):
#        try:
#            anno_visualizzato = self.anno_visualizzato.resolve(context)
#            mese_visualizzato = self.mese_visualizzato.resolve(context)
#            context['next_year'] = None
#            context['next_month'] = None
#            if self.category:
#                q_category = Q(categories__name__exact=self.category)
#            else:
#                q_category = Q()
#            questo_mese = datetime.date(int(anno_visualizzato),
#                                        int(mese_visualizzato),
#                                        1)
#            if questo_mese.month == 12:
#                mese_prossimo = questo_mese.replace(year=questo_mese.year + 1,
#                                                    month=1)
#            else:
#                mese_prossimo = questo_mese.replace(month=questo_mese.month + 1)
#            qs = models.News.active.filter(
#                                        event_date__gte=mese_prossimo
#                                    ).filter(q_category).order_by('event_date')
#            if qs.count() > 0:
#                first_next_date = qs[0].event_date
#                context['next_year'] = first_next_date.year
#                context['next_month'] = first_next_date.month
#        except:
#            pass
#        return ''
#
##{% get_next_month_list 2011 3 'news' %}
#@register.tag
#def get_next_month(parser, token):
#    try:
#        contents = token.split_contents()
#        category = None
#        if len(contents) == 4:
#            category = contents[3][1:-1]
#        anno_visualizzato = contents[1]
#        mese_visualizzato = contents[2]
#    except:
#        raise template.TemplateSyntaxError, \
#            "%r tag requires current year and month as arguments" \
#            % token.contents.split()[0]
#    return NextMonthNode(anno_visualizzato, mese_visualizzato, category)
#
#class PreviousMonthNode(template.Node):
#    def __init__(self, anno_visualizzato, mese_visualizzato, category):
#        self.anno_visualizzato = template.Variable(anno_visualizzato)
#        self.mese_visualizzato = template.Variable(mese_visualizzato)
#        self.category = category
#
#    def render(self, context):
#        try:
#            anno_visualizzato = self.anno_visualizzato.resolve(context)
#            mese_visualizzato = self.mese_visualizzato.resolve(context)
#            context['previous_year'] = None
#            context['previous_month'] = None
#            if self.category:
#                q_category = Q(categories__name__exact=self.category)
#            else:
#                q_category = Q()
#            questo_mese = datetime.date(int(anno_visualizzato),
#                                        int(mese_visualizzato),
#                                        1)
#            if questo_mese.month == 1:
#                mese_precedente = questo_mese.replace(year=questo_mese.year - 1,
#                                                    month=1,
#                                                    day=31)
#            else:
#                mese_precedente = questo_mese - datetime.timedelta(days=1)
#            qs = models.News.active.filter(
#                                        event_date__lte=mese_precedente
#                                    ).filter(q_category).order_by('-event_date')
#            if qs.count() > 0:
#                first_previous_date = qs[0].event_date
#                context['previous_year'] = first_previous_date.year
#                context['previous_month'] = first_previous_date.month
#        except:
#            pass
#        return ''
#
##{% get_previous_month_list 2011 3 'news' %}
#@register.tag
#def get_previous_month(parser, token):
#    try:
#        contents = token.split_contents()
#        category = None
#        if len(contents) == 4:
#            category = contents[3][1:-1]
#        anno_visualizzato = contents[1]
#        mese_visualizzato = contents[2]
#    except:
#        raise template.TemplateSyntaxError, \
#            "%r tag requires current year and month as arguments" \
#            % token.contents.split()[0]
#    return PreviousMonthNode(anno_visualizzato, mese_visualizzato, category)